Index: LMDZ4/trunk/libf/phylmd/ini_histdayNMC.h
===================================================================
--- LMDZ4/trunk/libf/phylmd/ini_histdayNMC.h	(revision 1374)
+++ LMDZ4/trunk/libf/phylmd/ini_histdayNMC.h	(revision 1398)
@@ -30,11 +30,14 @@
 c
         IF(lev_histdayNMC.EQ.nlevSTD) THEN 
-         CALL histvert(nid_daynmc, "plev", "pressure", "Pa",
-     .                 nlevSTD, rlevSTD, nvert)
+         CALL histvert(nid_daynmc, "plev", "pressure", "mb",
+     .                 nlevSTD, rlevSTD/100., nvert,"down")
         ELSE IF(lev_histdayNMC.EQ.nlevSTD8) THEN 
-         CALL histvert(nid_daynmc, "plev", "pressure", "Pa",
-     .                 nlevSTD8, rlevSTD8, nvert)
+         CALL histvert(nid_daynmc, "plev", "pressure", "mb",
+     .                 nlevSTD8, rlevSTD8/100., nvert,"down")
         ENDIF
-ccc
+c
+cIM Astuce MAF: remplacer inst par ave pour les variables NMC pour avoir
+cIM             le time_counter et les bounds
+c
 ccc Champs 3D interpolles sur des niveaux de pression du NMC
 ccc
@@ -51,40 +54,40 @@
      .                 "Valeurs non-definies","-",
      .                iim,jj_nb,nhori, nlevSTD,1,nlevSTD, nvert, 32,
-     .                "inst(X)", zout,zout)
+     .                "ave(X)", zout,zout)
 c
           CALL histdef(nid_daynmc, "ta",
      .                 "Air temperature","K",
      .                iim,jj_nb,nhori, nlevSTD,1,nlevSTD, nvert, 32,
-     .                "inst(X)", zout,zout)
+     .                "ave(X)", zout,zout)
 c
          CALL histdef(nid_daynmc, "zg",
      .                "Geopotential height", "m",
      .                iim,jj_nb,nhori, nlevSTD,1,nlevSTD, nvert, 32,
-     .                "inst(X)", zout,zout)
+     .                "ave(X)", zout,zout)
 c
           CALL histdef(nid_daynmc, "hus",
      .                 "Specific humidity","1",
      .                iim,jj_nb,nhori, nlevSTD,1,nlevSTD, nvert, 32,
-     .                "inst(X)", zout,zout)
+     .                "ave(X)", zout,zout)
 c
          CALL histdef(nid_daynmc, "hur",
      .                 "Relative humidity", "%",
      .                iim,jj_nb,nhori, nlevSTD,1,nlevSTD, nvert, 32,
-     .                "inst(X)", zout,zout)
+     .                "ave(X)", zout,zout)
 c
           CALL histdef(nid_daynmc, "ua",
      .                 "Eastward wind","m s-1",
      .                iim,jj_nb,nhori, nlevSTD,1,nlevSTD, nvert, 32,
-     .                "inst(X)", zout,zout)
+     .                "ave(X)", zout,zout)
 c
           CALL histdef(nid_daynmc, "va",
      .                 "Northward wind","m s-1",
      .                iim,jj_nb,nhori, nlevSTD,1,nlevSTD, nvert, 32,
-     .                "inst(X)", zout,zout)
+     .                "ave(X)", zout,zout)
 c
           CALL histdef(nid_daynmc, "wap",
      .                 "Lagrangian tendency of air pressure","Pa s-1",
      .                iim,jj_nb,nhori, nlevSTD,1,nlevSTD, nvert, 32,
-     .                "inst(X)", zout,zout)
+     .                "ave(X)", zout,zout)
 c
         ELSE IF(lev_histdayNMC.EQ.nlevSTD8) THEN 
@@ -93,40 +96,40 @@
      .                 "Valeurs non-definies","-",
      .                iim,jj_nb,nhori, nlevSTD8,1,nlevSTD8, nvert, 32,
-     .                "inst(X)", zout,zout)
+     .                "ave(X)", zout,zout)
 c
           CALL histdef(nid_daynmc, "ta",
      .                 "Air temperature","K",
      .                iim,jj_nb,nhori, nlevSTD8,1,nlevSTD8, nvert, 32,
-     .                "inst(X)", zout,zout)
+     .                "ave(X)", zout,zout)
 c
          CALL histdef(nid_daynmc, "zg",
      .                "Geopotential height", "m",
      .                iim,jj_nb,nhori, nlevSTD8,1,nlevSTD8, nvert, 32,
-     .                "inst(X)", zout,zout)
+     .                "ave(X)", zout,zout)
 c
           CALL histdef(nid_daynmc, "hus",
      .                 "Specific humidity","1",
      .                iim,jj_nb,nhori, nlevSTD8,1,nlevSTD8, nvert, 32,
-     .                "inst(X)", zout,zout)
+     .                "ave(X)", zout,zout)
 c
          CALL histdef(nid_daynmc, "hur",
      .                 "Relative humidity", "%",
      .                iim,jj_nb,nhori, nlevSTD8,1,nlevSTD8, nvert, 32,
-     .                "inst(X)", zout,zout)
+     .                "ave(X)", zout,zout)
 c
           CALL histdef(nid_daynmc, "ua",
      .                 "Eastward wind","m s-1",
      .                iim,jj_nb,nhori, nlevSTD8,1,nlevSTD8, nvert, 32,
-     .                "inst(X)", zout,zout)
+     .                "ave(X)", zout,zout)
 c
           CALL histdef(nid_daynmc, "va",
      .                 "Northward wind","m s-1",
      .                iim,jj_nb,nhori, nlevSTD8,1,nlevSTD8, nvert, 32,
-     .                "inst(X)", zout,zout)
+     .                "ave(X)", zout,zout)
 c
           CALL histdef(nid_daynmc, "wap",
      .                 "Lagrangian tendency of air pressure","Pa s-1",
      .                iim,jj_nb,nhori, nlevSTD8,1,nlevSTD8, nvert, 32,
-     .                "inst(X)", zout,zout)
+     .                "ave(X)", zout,zout)
 c
         ENDIF
